{include="header"}

<!--
This file is part of editar_facturas
Copyright (C) 2015-2017  Carlos Garcia Gomez  neorazorx@gmail.com

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU Affero General Public License as
published by the Free Software Foundation, either version 3 of the
License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU Affero General Public License for more details.

You should have received a copy of the GNU Affero General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.
-->

{if="$fsc->factura"}
<script type="text/javascript" src="{$fsc->get_js_location('provincias.js')}"></script>
<script type="text/javascript" src="{$fsc->get_js_location('nueva_venta.js')}"></script>
<script type="text/javascript">
   numlineas = {function="count($fsc->factura->get_lineas())"};
   fs_nf0 = {#FS_NF0#};
   fs_nf0_art = {#FS_NF0_ART#};
   all_impuestos = {function="json_encode($fsc->impuesto->all())"};
   all_series = {function="json_encode($fsc->serie->all())"};
   cliente = {function="json_encode($fsc->cliente_s)"};
   nueva_venta_url = '{$fsc->nuevo_albaran_url}';
   
   function cambiar_cliente() {
      $("#div_cambiar_cliente").removeClass('hidden');
      document.f_edit_factura.ac_cliente.readOnly = false;
      document.f_edit_factura.ac_cliente.value = '';
      document.f_edit_factura.ac_cliente.focus();
   }
   $(document).ready(function() {
      $("#numlineas").val(numlineas);
      usar_serie();
      usar_almacen();
      usar_divisa();
      recalcular();
      $("#ac_cliente").autocomplete({
         serviceUrl: nueva_venta_url,
         paramName: 'buscar_cliente',
         onSelect: function (suggestion) {
            if(suggestion) {
               if(document.f_edit_factura.cliente.value != suggestion.data && suggestion.data != '') {
                  document.f_edit_factura.cliente.value = suggestion.data;
                  usar_cliente(suggestion.data);
               }
            }
         }
      });
   });
</script>

<form id="f_edit_factura" class="form" name="f_edit_factura" action="{$fsc->url()}" method="post">
    <input type="hidden" name="id" value="{$fsc->factura->idfactura}"/>
    <input type="hidden" name="cliente" value="{$fsc->factura->codcliente}"/>
    <input type="hidden" name="almacen" id="codalmacen" value="{$fsc->factura->codalmacen}"/>
    <input type="hidden" id="numlineas" name="numlineas" value="0"/>
    <input type="hidden" id="note" name="note" value="{$fsc->note}"/>
    <div class="container-fluid">
        <div class="row">
            <div class="col-xs-8">
                <div class="btn-group">
                    <a class="btn btn-sm btn-default" href="{$fsc->factura->url()}" title="volver a la factura">
                        <span class="glyphicon glyphicon-arrow-left"></span>
                        <span class="hidden-sm hidden-xs">&nbsp; Volver</span>
                    </a>
                    <a class="btn btn-sm btn-default" href="{$fsc->url()}" title="recargar la página">
                        <span class="glyphicon glyphicon-refresh"></span>
                    </a>
                </div>
                <div class="btn-group">
                    {loop="$fsc->extensions"}
                    {if condition="$value->type=='button'"}
                    <a href="index.php?page={$value->from}{$value->params}&id={$fsc->factura->idfactura}" class="btn btn-sm btn-default">
                        {$value->text}
                    </a>
                    {/if}
                    {/loop}
                </div>
            </div>
            <div class="col-xs-4 text-right">
                <div class="btn-group">
                    <a href="{$fsc->factura->url()}" class="btn btn-sm btn-default">
                        <span class="glyphicon glyphicon-remove"></span>
                        <span class="hidden-sm hidden-xs">&nbsp;Cancelar</span>
                    </a>
                    <button class="btn btn-sm btn-primary" type="button" onclick="this.disabled=true;this.form.submit();">
                        <span class="glyphicon glyphicon-floppy-disk"></span>
                        <span class="hidden-xs">&nbsp;Guardar</span>
                    </button>
                </div>
            </div>
        </div>
        <div class="row">
            <div class="col-sm-12">
                <div class="page-header">
                    <h2>
                        <span class="glyphicon glyphicon-edit"></span>
                        factura de venta <small>{$fsc->factura->codigo}</small>
                    </h2>
                    <p class="help-block">
                        Ten en cuenta que hay en muchos paises y muchas situaciones donde
                        no se pueden modificar las facturas. Utiliza la {#FS_FACTURA_RECTIFICATIVA#}
                        en esos casos.
                    </p>
                    {if="$fsc->factura->idfacturarect"}
                    <span class="label label-danger">
                        <span class="glyphicon glyphicon-flag" aria-hidden="true"></span>
                        &nbsp; {#FS_FACTURA_RECTIFICATIVA#} de {$fsc->factura->codigorect}
                    </span> &nbsp;
                    {/if}
                    <div class="checkbox-inline">
                        <label>
                            {if="$fsc->factura->anulada"}
                            <input type="checkbox" name="anulada" value="TRUE" checked=""/>
                            {else}
                            <input type="checkbox" name="anulada" value="TRUE"/>
                            {/if}
                            Anulada
                        </label>
                    </div>
                    <div class="checkbox-inline">
                        <label>
                            {if="$fsc->factura->femail"}
                            <input type="checkbox" name="enviada" value="{$fsc->factura->femail}" checked=""/>
                            {else}
                            <input type="checkbox" name="enviada" value="{$fsc->today()}"/>
                            {/if}
                            Enviada
                        </label>
                    </div>
                    {if="$fsc->tesoreria"}
                    &nbsp;
                    {if="$fsc->factura->pagada"}
                    <input type="hidden" name="pagada" value="TRUE"/>
                    <span class="label label-warning">
                        <span class="glyphicon glyphicon-check" aria-hidden="true"></span> Pagada
                    </span>
                    {else}
                    <span class="label label-warning">Sin pagar</span>
                    {/if}
                    &nbsp; Usa la pestaña recbios para indicar si los recibos de esta factura están pagados o no.
                    {else}
                    <div class="checkbox-inline">
                        <label>
                            {if="$fsc->factura->pagada"}
                            <input type="checkbox" name="pagada" value="TRUE" checked=""/>
                            {else}
                            <input type="checkbox" name="pagada" value="TRUE"/>
                            {/if}
                            Pagada
                        </label>
                    </div>
                    {/if}
                </div>
                {if="$fsc->factura->get_rectificativas()"}
                <div class="alert alert-warning">
                    ¡Cuidado! Hay una <b>{#FS_FACTURA_RECTIFICATIVA#}</b> asociada.
                </div>
                {/if}
            </div>
        </div>
        {if="$fsc->note"}
            <div class="row">
                <div class="col-sm-12">
                    <div class="form-group">
                        Tipo de nota:
                        <select class="form-control" name="typeNote" id="type-note">
                            {loop="$fsc->typeNote"}
                                <option value="{$key}">{$value}</option>
                            {/loop}
                        </select>
                    </div>
                </div>
            </div>
        {/if}
        <div class="row">
            <div class="col-sm-2">
                <div class="form-group">
                    Cliente actual:
                    <div class="input-group">
                        <input class="form-control" type="text" name="ac_cliente" id="ac_cliente" value="{$fsc->factura->nombrecliente}" placeholder="Buscar" readonly="" autocomplete="off"/>
                        <span class="input-group-btn" title="Cambiar cliente">
                            <button class="btn btn-default" type="button" onclick="cambiar_cliente()">
                                <span class="glyphicon glyphicon-edit"></span>
                            </button>
                        </span>
                    </div>
                </div>
                <div id="div_cambiar_cliente" class="hidden">
                    <div class="form-group">
                        <p class="help-block">
                            Para cambiar el nombre o el {#FS_CIFNIF#}, pero no el cliente, usa estos campos:
                        </p>
                        <div class="input-group">
                            <span class="input-group-addon">Nombre</span>
                            <input class="form-control" type="text" name="nombrecliente" value="{$fsc->factura->nombrecliente}" autocomplete="off"/>
                        </div>
                    </div>
                    <div class="form-group">
                        <div class="input-group">
                            <span class="input-group-addon">{#FS_CIFNIF#}</span>
                            <input class="form-control" type="text" name="cifnif" value="{$fsc->factura->cifnif}" autocomplete="off"/>
                        </div>
                    </div>
                </div>
            </div>
            <div class="col-sm-2">
                <div class="form-group">
                    Número:
                    <input class="form-control" type="text" name="numero" value="{$fsc->factura->numero}" autocomplete="off"/>
                </div>
            </div>
            <div class="col-sm-2">
                <div class="form-group">
                    <span class='text-capitalize'>{#FS_NUMERO2#}:</span>
                    <input class="form-control" type="text" name="numero2" value="{$fsc->factura->numero2}" autocomplete="off"/>
                </div>
            </div>
            <div class="col-sm-2">
                <div class="form-group">
                    <a href="{$fsc->serie->url()}">Serie</a>:
                    <select class="form-control" name="serie" id="codserie" onchange="usar_serie();recalcular();">
                        {loop="$fsc->serie->all()"}
                        {if="$value->codserie==$fsc->factura->codserie"}
                        <option value="{$value->codserie}" selected="">{$value->descripcion}</option>
                        {else}
                        <option value="{$value->codserie}">{$value->descripcion}</option>
                        {/if}
                        {/loop}
                    </select>
                    <p class="help-block">Al cambiar de serie se generará un nuevo código para la factura.</p>
                </div>
            </div>
            <div class="col-sm-2">
                <div class="form-group">
                    Fecha:
                    <input class="form-control datepicker" type="text" name="fecha" value="{$fsc->factura->fecha}" autocomplete="off"/>
                </div>
            </div>
            <div class="col-sm-2">
                <div class="form-group">
                    Hora:
                    <input class="form-control" type="text" name="hora" value="{$fsc->factura->hora}" autocomplete="off"/>
                </div>
            </div>
        </div>
    </div>
    <div role="tabpanel">
        <ul class="nav nav-tabs" role="tablist">
            <li role="presentation" class="active">
                <a href="#lineas" aria-controls="lineas" role="tab" data-toggle="tab">
                    <span class="glyphicon glyphicon-list"></span>
                    <span class="hidden-xs">&nbsp;Líneas</span>
                </a>
            </li>
            <li role="presentation">
                <a href="#direccion" aria-controls="direccion" role="tab" data-toggle="tab">
                    <span class="glyphicon glyphicon-road"></span>
                    <span class="hidden-xs">&nbsp;Dirección</span>
                </a>
            </li>
            {loop="$fsc->extensions"}
            {if="$value->type=='tab'"}
            <li role="presentation">
                <a href="#ext_{$value->name}" aria-controls="ext_{$value->name}" role="tab" data-toggle="tab">{$value->text}</a>
            </li>
            {/if}
            {/loop}
        </ul>
        <div class="tab-content">
            <div role="tabpanel" class="tab-pane active" id="lineas">
                <div class="table-responsive">
                    <table class="table table-condensed" style="margin-bottom: 0px;">
                        <thead>
                            <tr>
                                <th class="text-left" width="180">Referencia</th>
                                <th class="text-left">Descripción</th>
                                <th class="text-right" width="90">Cantidad</th>
                                <th width="60"></th>
                                <th class="text-right" width="110">Precio</th>
                                <th class="text-right" width="90">Dto. %</th>
                                <th class="text-right dtosl" width="90">Dto. 2 %</th>
                                <th class="text-right dtosl" width="90">Dto. 3 %</th>
                                <th class="text-right dtosl" width="90">Dto. 4 %</th>
                                <th class="text-right" width="130">Neto</th>
                                <th class="text-right" width="115">{#FS_IVA#}</th>
                                <th class="text-right recargo" width="115">RE %</th>
                                <th class="text-right irpf" width="115">{#FS_IRPF#} %</th>
                                <th class="text-right" width="140">Total</th>
                            </tr>
                        </thead>
                        <tbody id="lineas_doc">
                            {loop="$fsc->factura->get_lineas()"}
                            <tr id="linea_{$counter}">
                                <td>
                                    <input type="hidden" name="idlinea_{$counter}" value="{$value->idlinea}"/>
                                    <div class="form-control">
                                        <small><a href="{$value->articulo_url()}" target="_blank">{$value->referencia}</a></small>
                                    </div>
                                </td>
                                <td><textarea class="form-control" name="desc_{$counter}" rows="1">{$value->descripcion}</textarea></td>
                                <td>
                                    <input type="number" step="any" id="cantidad_{$counter}" class="form-control text-right" name="cantidad_{$counter}"
                                           value="{$value->cantidad}" onchange="recalcular()" onkeyup="recalcular()" autocomplete="off" value="1"/>
                                </td>
                                <td>
                                    <button class="btn btn-sm btn-danger" type="button" onclick="$('#linea_{$counter}').remove();recalcular();">
                                        <span class="glyphicon glyphicon-trash"></span>
                                    </button>
                                </td>
                                <td>
                                    <input type="text" class="form-control text-right" id="pvp_{$counter}" name="pvp_{$counter}" value="{$value->pvpunitario}"
                                           onkeyup="recalcular()" onclick="this.select()" autocomplete="off"/>
                                </td>
                                <td>
                                    <input type="text" id="dto_{$counter}" name="dto_{$counter}" value="{$value->dtopor}" class="form-control text-right"
                                           onkeyup="recalcular()" onclick="this.select()" autocomplete="off"/>
                                </td>
                                <td class="dtosl">
                                    <input type="text" id="dto2_{$counter}" name="dto2_{$counter}" value="{$value->dtopor2}" class="form-control text-right"
                                           onkeyup="recalcular()" onclick="this.select()" autocomplete="off"/>
                                </td>
                                <td class="dtosl">
                                    <input type="text" id="dto3_{$counter}" name="dto3_{$counter}" value="{$value->dtopor3}" class="form-control text-right"
                                           onkeyup="recalcular()" onclick="this.select()" autocomplete="off"/>
                                </td>
                                <td class="dtosl">
                                    <input type="text" id="dto4_{$counter}" name="dto4_{$counter}" value="{$value->dtopor4}" class="form-control text-right"
                                           onkeyup="recalcular()" onclick="this.select()" autocomplete="off"/>
                                </td>
                                <td>
                                    <input type="text" class="form-control text-right" id="neto_{$counter}" onchange="ajustar_neto('{$counter}')" onclick="this.select()" autocomplete="off"/>
                                </td>
                                <td>
                                    <select class="form-control" id="iva_{$counter}" name="iva_{$counter}" onchange="ajustar_iva('{$counter}')">
                                        {loop="$fsc->impuesto->all()"}
                                        {if="$value1->codimpuesto==$value2->codimpuesto OR $value1->iva==$value2->iva"}
                                        <option value="{$value2->iva}" selected="">{$value2->descripcion}</option>
                                        {else}
                                        <option value="{$value2->iva}">{$value2->descripcion}</option>
                                        {/if}
                                        {/loop}
                                    </select>
                                </td>
                                <td class="recargo">
                                    <input type="text" class="form-control text-right" id="recargo_{$counter}" name="recargo_{$counter}" value="{$value->recargo}"
                                           onchange="recalcular()" onclick="this.select()" autocomplete="off"/>
                                </td>
                                <td class="irpf">
                                    <input type="text" class="form-control text-right" id="irpf_{$counter}" name="irpf_{$counter}" value="{$value->irpf}"
                                           onchange="recalcular()" onclick="this.select()" autocomplete="off"/>
                                </td>
                                <td class="warning" title="Cálculo aproximado del total de la linea">
                                    <input type="text" class="form-control text-right" id="total_{$counter}" onchange="ajustar_total('{$counter}')" onclick="this.select()" autocomplete="off"/>
                                </td>
                            </tr>
                            {/loop}
                        </tbody>
                        <tfoot>
                            <tr class="info">
                                <td><input id="i_new_line" class="form-control" type="text" placeholder="Buscar para añadir..." autocomplete="off"/></td>
                                <td>
                                    <a href="#" class="btn btn-sm btn-default" title="Añadir sin buscar" onclick="return add_linea_libre()">
                                        <span class="glyphicon glyphicon-edit" aria-hidden="true"></span>
                                    </a>
                                </td>
                                <td colspan="12" class="text-right">
                                    <a href="#" class="label label-info" onclick="dtosl = !dtosl; recalcular();" title="Mostrar descuentos líneas adicionales">
                                        <span class="glyphicon glyphicon-eye-open" aria-hidden="true"></span>&nbsp; Dtos líneas
                                    </a>
                                    &nbsp;
                                    <a href="#" class="label label-info" onclick="dtost = !dtost; recalcular();" title="Mostrar descuentos totales adicionales">
                                        <span class="glyphicon glyphicon-eye-open" aria-hidden="true"></span>&nbsp; Dtos Totales
                                    </a>
                                    &nbsp;
                                    <a href="#" class="label label-info" onclick="cliente.recargo = true;recalcular();" title="Mostrar Recargo de Equivalencia">
                                        <span class="glyphicon glyphicon-eye-open" aria-hidden="true"></span>&nbsp; RE
                                    </a>
                                    &nbsp;
                                    <a href="#" class="label label-info" onclick="irpf = 21;recalcular();" title="Mostrar {#FS_IRPF#}">
                                        <span class="glyphicon glyphicon-eye-open" aria-hidden="true"></span>&nbsp; {#FS_IRPF#}
                                    </a>
                                </td>
                            </tr>
                        </tfoot>
                    </table>
                    <table class="table table-condensed">
                        <tfoot>
                            <tr class="info">
                                {if="$fsc->factura->coddivisa!=$fsc->empresa->coddivisa"}<th></th>{/if}
                                <th class="text-right">Subtotal</th>
                                <th class="text-right">Dto. %</th>
                                <th class="dtost text-right">Dto. 2 %</th>
                                <th class="dtost text-right">Dto. 3 %</th>
                                <th class="dtost text-right">Dto. 4 %</th>
                                <th class="dtost text-right">Dto. 5 %</th>
                                <th class="text-right">Neto</th>
                                <th class="text-right">{#FS_IVA#}</th>
                                <th class="recargo text-right">Recargo</th>
                                <th class="irpf text-right">{#FS_IRPF#}</th>
                                <th class="text-right">Total</th>
                            </tr>
                            <tr class="info">
                                {if="$fsc->factura->coddivisa!=$fsc->empresa->coddivisa"}
                                <td><div class="form-control text-right">({$fsc->factura->coddivisa})</div></td>
                                {/if}
                                <td>
                                    <div id="anetosindto" class="form-control text-right" onkeyup="recalcular()" onclick="this.select()">{$fsc->show_numero(0)}</div>
                                </td>
                                <td>
                                    <input id="adtopor1" name="adtopor1" class="form-control text-right" onkeyup="recalcular()" onclick="this.select()" value="{$fsc->factura->dtopor1}"></input>
                                </td>
                                <td class="dtost">
                                    <input id="adtopor2" name="adtopor2" class="form-control text-right" onkeyup="recalcular()" onclick="this.select()" value="{$fsc->factura->dtopor2}"></input>
                                </td>
                                <td class="dtost">
                                    <input id="adtopor3" name="adtopor3" class="form-control text-right" onkeyup="recalcular()" onclick="this.select()" value="{$fsc->factura->dtopor3}"></input>
                                </td>
                                <td class="dtost">
                                    <input id="adtopor4" name="adtopor4" class="form-control text-right" onkeyup="recalcular()" onclick="this.select()" value="{$fsc->factura->dtopor4}"></input>
                                </td>
                                <td class="dtost">
                                    <input id="adtopor5" name="adtopor5" class="form-control text-right" onkeyup="recalcular()" onclick="this.select()" value="{$fsc->factura->dtopor5}"></input>
                                </td>
                                <td><div id="aneto" class="form-control text-right">{$fsc->show_numero(0)}</div></td>
                                <td><div id="aiva" class="form-control text-right">{$fsc->show_numero(0)}</div></td>
                                <td class="recargo"><div id="are" class="form-control text-right">{$fsc->show_numero(0)}</div></td>
                                <td class="irpf"><div id="airpf" class="form-control text-right">{$fsc->show_numero(0)}</div></td>
                                <td>
                                    <input type="text" name="atotal" id="atotal" class="form-control text-right" value="0" onchange="recalcular()" autocomplete="off"/>
                                </td>
                            </tr>
                            {if="$fsc->user->admin && FS_DB_HISTORY"}
                            <tr class="info">
                                {if="$fsc->factura->coddivisa!=$fsc->empresa->coddivisa"}<td></td>{/if}
                                <td class="text-right">
                                    {$fsc->show_precio($fsc->factura->netosindto, $fsc->factura->coddivisa)}
                                </td>
                                <td class="text-right">
                                    {$fsc->show_precio($fsc->factura->dtopor1, $fsc->factura->coddivisa)}
                                </td>
                                <td class="dtost text-right">
                                    {$fsc->show_precio($fsc->factura->dtopor2, $fsc->factura->coddivisa)}
                                </td>
                                <td class="dtost text-right">
                                    {$fsc->show_precio($fsc->factura->dtopor3, $fsc->factura->coddivisa)}
                                </td>
                                <td class="dtost text-right">
                                    {$fsc->show_precio($fsc->factura->dtopor4, $fsc->factura->coddivisa)}
                                </td>
                                <td class="dtost text-right">
                                    {$fsc->show_precio($fsc->factura->dtopor5, $fsc->factura->coddivisa)}
                                </td>
                                <td class="text-right">
                                    {$fsc->show_precio($fsc->factura->neto, $fsc->factura->coddivisa)}
                                </td>
                                <td class="text-right">
                                    {$fsc->show_precio($fsc->factura->totaliva, $fsc->factura->coddivisa)}
                                </td>
                                <td class="recargo text-right">
                                    {$fsc->show_precio($fsc->factura->totalrecargo, $fsc->factura->coddivisa)}
                                </td>
                                <td class="irpf text-right">
                                    {$fsc->show_precio($fsc->factura->totalirpf, $fsc->factura->coddivisa)}
                                </td>
                                <td class="text-right">
                                    {$fsc->show_precio($fsc->factura->total, $fsc->factura->coddivisa)}
                                </td>
                            </tr>
                            {/if}
                        </tfoot>
                    </table>
                </div>
                <div class="container-fluid">
                    <div class="row">
                        <div class="col-sm-3">
                            <div class="form-group">
                                <a href="{$fsc->forma_pago->url()}">Forma de pago</a>:
                                <select name="forma_pago" class="form-control">
                                    {loop="$fsc->forma_pago->all()"}
                                    <option value="{$value->codpago}"{if="$fsc->factura->codpago==$value->codpago"} selected=""{/if}>{$value->descripcion}</option>
                                    {/loop}
                                </select>
                            </div>
                        </div>
                        <div class="col-sm-2">
                            <div class="form-group{if="$fsc->factura->vencida()"} has-warning{/if}">
                                Vencimiento:
                                {if="$fsc->factura->pagada OR $fsc->tesoreria"}
                                <input type="text" name="vencimiento" value="{$fsc->factura->vencimiento}" class="form-control datepicker" readonly=""/>
                                {else}
                                <input type="text" name="vencimiento" value="{$fsc->factura->vencimiento}" class="form-control datepicker" autocomplete="off"/>
                                {/if}
                            </div>
                        </div>
                        <div class="col-sm-2">
                            <div class="form-group">
                                <a href="{$fsc->divisa->url()}">Divisa</a>:
                                <select name="divisa" id="coddivisa" class="form-control" onchange="usar_divisa()">
                                    {loop="$fsc->divisa->all()"}
                                    {if="$value->coddivisa==$fsc->factura->coddivisa"}
                                    <option value="{$value->coddivisa}" selected="">{$value->descripcion}</option>
                                    {else}
                                    <option value="{$value->coddivisa}">{$value->descripcion}</option>
                                    {/if}
                                    {/loop}
                                </select>
                            </div>
                            <div class="form-group">
                                Tasa de conversión (1€ = X)
                                <input type="text" name="tasaconv" class="form-control" placeholder="{$fsc->factura->tasaconv}" autocomplete="off"/>
                            </div>
                        </div>
                        <div class="col-sm-2"></div>
                        <div class="col-sm-3">
                            <div class="form-group">
                                Empleado:
                                <select name="codagente" class="form-control">
                                    <option value="">Ninguno</option>
                                    <option value="">------</option>
                                    {loop="$fsc->agente->all()"}
                                    {if="$value->codagente==$fsc->factura->codagente"}
                                    <option value="{$value->codagente}" selected="">{$value->get_fullname()}</option>
                                    {else}
                                    <option value="{$value->codagente}">{$value->get_fullname()}</option>
                                    {/if}
                                    {/loop}
                                </select>
                            </div>
                            <div class="form-group">
                                Comisión:
                                <input type="number" step="any" name="porcomision" value="{$fsc->factura->porcomision}" class="form-control" autocomplete="off"/>
                            </div>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-sm-12">
                            <div class="form-group">
                                Observaciones:
                                <textarea class="form-control" name="observaciones" rows="6">{$fsc->factura->observaciones}</textarea>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <div role="tabpanel" class="tab-pane" id="direccion">
                <div class="container-fluid" style="margin-top: 10px;">
                    <div class="row">
                        <div class="col-sm-3">
                            <div class="form-group">
                                <a href="{$fsc->pais->url()}">País</a>:
                                <select class="form-control" name="codpais">
                                    {loop="$fsc->pais->all()"}
                                    <option value="{$value->codpais}"{if="$value->codpais==$fsc->factura->codpais"} selected=""{/if}>{$value->nombre}</option>
                                    {/loop}
                                </select>
                            </div>
                        </div>
                        <div class="col-sm-3">
                            <div class="form-group">
                                <span class="text-capitalize">{#FS_PROVINCIA#}</span>:
                                <input id="ac_provincia" class="form-control" type="text" name="provincia" autocomplete="off" value="{$fsc->factura->provincia}"/>
                            </div>
                        </div>
                        <div class="col-sm-3">
                            <div class="form-group">
                                Ciudad:
                                <input class="form-control" type="text" name="ciudad" autocomplete="off" value="{$fsc->factura->ciudad}"/>
                            </div>
                        </div>
                        <div class="col-sm-3">
                            <div class="form-group">
                                Código Postal:
                                <input class="form-control" type="text" name="codpostal" autocomplete="off" value="{$fsc->factura->codpostal}"/>
                            </div>
                        </div>
                        <div class="col-sm-6">
                            <div class="form-group">
                                Dirección:
                                <input class="form-control" type="text" name="direccion" value="{$fsc->factura->direccion}" autocomplete="off"/>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            {loop="$fsc->extensions"}
            {if="$value->type=='tab'"}
            <div role="tabpanel" class="tab-pane" id="ext_{$value->name}">
                <iframe src="index.php?page={$value->from}{$value->params}&id={$fsc->factura->idfactura}" width="100%" height="2000" frameborder="0"></iframe>
            </div>
            {/if}
            {/loop}
        </div>
    </div>
</form>

{$fsc->iframe_xid()}
{include="block/modal_buscar_articulo"}
{/if}

{include="footer"}